All Products
Search
Document Center

How to resolve the conflict between okhttp, okio and mPaaS library

Last Updated: Mar 10, 2021

The following two steps are required to resolve the conflict:

  1. Remove the Wire component of mPaaS and add the following rule to the gradle file:
  1. mpaascomponents{
  2. excludeDependencies=['com.alipay.android.phone.thirdparty:wire-build']
  3. }
  1. Use the wire component provided by the public network and add the following rule to the gradle file:
  1. implementation 'com.squareup.wire:wire-lite-runtime:1.5.3.4@jar'